QCompositionPackage (Media Authoring with Java API)
Date: 2016-02-05

tv.amwa.maj.extensions.quantel

## Interface QCompositionPackage

- All Superinterfaces:
    CompositionPackage, InterchangeObject, MediaEntity, MetadataObject, Package, WeakReferenceTarget
  All Known Implementing Classes:
    CompositionPackageImpl

      public interface QCompositionPackage
      extends CompositionPackage

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `appendClipEffect(OperationGroup clipEffect)`
    `void` | `clearClipEffects()`
    `PropertyValue` | `clipColourBlue()`
    `int` | `countClipEffects()`
    `int` | `getArchiveComposition()`
    `int` | `getArchiveCompositionType()`
    `int` | `getArchiveSetting()`
    `int` | `getClipArchivedDays()`
    `int` | `getClipArchivedHours()`
    `int` | `getClipArchivedMilliseconds()`
    `int` | `getClipArchivedMinutes()`
    `int` | `getClipArchivedMonths()`
    `int` | `getClipArchivedSeconds()`
    `int` | `getClipArchivedYears()`
    `int` | `getClipAudioTracks()`
    `Stream` | `getClipBlob()`
    `String` | `getClipCategory()`
    `PropertyValue` | `getClipColourGreen()`
    `PropertyValue` | `getClipColourRed()`
    `int` | `getClipDestTC()`
    `int` | `getClipDropframe()`
    `int` | `getClipDuration()`
    `OperationGroup` | `getClipEffectAt(int index)`
    `List<OperationGroup>` | `getClipEffects()`
    `int` | `getClipFlag1001()`
    `int` | `getClipFPS()`
    `int` | `getClipHeight()`
    `int` | `getClipInPoint()`
    `Segment` | `getClipKeyRenderSequence()`
    `int` | `getClipModifiedDays()`
    `int` | `getClipModifiedHours()`
    `int` | `getClipModifiedMilliseconds()`
    `int` | `getClipModifiedMinutes()`
    `int` | `getClipModifiedMonths()`
    `int` | `getClipModifiedSeconds()`
    `int` | `getClipModifiedYears()`
    `int` | `getClipOutPoint()`
    `String` | `getClipOwner()`
    `String` | `getClipProject()`
    `Segment` | `getClipRenderSequence()`
    `String` | `getClipType()`
    `int` | `getClipVideoTracks()`
    `int` | `getClipWidth()`
    `void` | `prependClipEffect(OperationGroup clipEffect)`
    `void` | `removeClipEffectAt(int index)`
    `void` | `setArchiveComposition(Integer clipArchiveComposition)`
    `void` | `setArchiveCompositionType(Integer archiveCompositionType)`
    `void` | `setArchiveSetting(Integer archiveSetting)`
    `void` | `setClipArchivedDays(Integer clipArchivedDays)`
    `void` | `setClipArchivedHours(Integer clipArchivedHours)`
    `void` | `setClipArchivedMilliseconds(Integer clipArchivedMilliseconds)`
    `void` | `setClipArchivedMinutes(Integer clipArchivedMinutes)`
    `void` | `setClipArchivedMonths(Integer clipArchivedMonths)`
    `void` | `setClipArchivedSeconds(Integer clipArchivedSeconds)`
    `void` | `setClipArchivedYears(Integer clipArchiveYears)`
    `void` | `setClipAudioTracks(Integer clipAudioTracks)`
    `void` | `setClipBlob(Stream clipBlob)`
    `void` | `setClipCategory(String clipCategory)`
    `void` | `setClipColourBlue(PropertyValue clipColourBlue)`
    `void` | `setClipColourGreen(PropertyValue clipColourGreen)`
    `void` | `setClipColourRed(PropertyValue clipColourRef)`
    `void` | `setClipDestTC(Integer clipDestTC)`
    `void` | `setClipDropframe(Integer clipDropframe)`
    `void` | `setClipDuration(Integer clipDuration)`
    `void` | `setClipFlag1001(Integer clipFlag1001)`
    `void` | `setClipFPS(Integer clipFPS)`
    `void` | `setClipHeight(Integer clipHeight)`
    `void` | `setClipInPoint(Integer clipInPoint)`
    `void` | `setClipKeyRenderSequence(Segment clipKeyRenderSequence)`
    `void` | `setClipModifiedDays(Integer clipModifiedDays)`
    `void` | `setClipModifiedHours(Integer clipModifiedHours)`
    `void` | `setClipModifiedMillseconds(Integer clipModifiedMilliseconds)`
    `void` | `setClipModifiedMinutes(Integer clipModifiedMinutes)`
    `void` | `setClipModifiedMonths(Integer clipModifiedMonths)`
    `void` | `setClipModifiedSeconds(Integer clipModifiedSeconds)`
    `void` | `setClipModifiedYears(Integer clipModifiedYears)`
    `void` | `setClipOutPoint(Integer clipOutPoint)`
    `void` | `setClipOwner(String clipOwner)`
    `void` | `setClipProject(String clipProject)`
    `void` | `setClipRenderSequence(Segment clipRenderSequence)`
    `void` | `setClipType(String clipType)`
    `void` | `setClipVideoTracks(Integer clipVideoTracks)`
    `void` | `setClipWidth(Integer clipWidth)`

    - ### Methods inherited from interface tv.amwa.maj.model.CompositionPackage

      `clone, getCompositionRendering, getDefaultFade, getDefaultFadeEditUnit, getDefaultFadeLength, getDefaultFadeType, setCompositionRendering, setDefaultFade, setDefaultFade`

    - ### Methods inherited from interface tv.amwa.maj.model.Package

      `appendNewEventTrack, appendNewStaticTrack, appendNewTimelineTrack, appendPackageAttribute, appendPackageAttribute, appendPackageKLVData, appendPackageTrack, appendPackageUserComment, appendPackageUserComment, changeReference, clearPackageAttributes, clearPackageKLVData, clearPackageTracks, clearPackageUserComments, cloneExternal, copy, countPackageAttributes, countPackageKLVData, countPackageTracks, countPackageUserComments, getCreationTime, getPackageAttributes, getPackageID, getPackageKLVData, getPackageLastModified, getPackageName, getPackageTrackAt, getPackageTracks, getPackageUsage, getPackageUserComments, insertPackageTrackAt, lookupPackageTrack, offsetToPackageTimecode, prependPackageTrack, removePackageAttribute, removePackageKLVData, removePackageTrackAt, removePackageUserComment, setCreationTime, setPackageID, setPackageLastModified, setPackageName, setPackageUsage`

    - ### Methods inherited from interface tv.amwa.maj.model.InterchangeObject

      `addApplicationPlugin, clearApplicationPlugins, containsApplicationPlugin, containsApplicationPlugin, countApplicationPlugins, deepEquals, disableGenerationTracking, enableGenerationTracking, equals, getApplicationPlugins, getGeneration, getLinkedGenerationID, getObjectClass, isGenerationTracked, removeApplicationPlugin, removeApplicationPlugin, setLinkedGenerationID, setObjectClass, toString`

    - ### Methods inherited from interface tv.amwa.maj.industry.MediaEntity

      `getPersistentID, setPersistentIndex`

    - ### Methods inherited from interface tv.amwa.maj.industry.WeakReferenceTarget

      `getAUID, getWeakTargetReference`

- - ### Method Detail

    - #### getClipFPS

          @Int32
          int getClipFPS()
                         throws PropertyNotPresentException

      Throws:
        `PropertyNotPresentException`

    - #### setClipFPS

          void setClipFPS(@Int32
                          Integer clipFPS)

    - #### getClipType

          String getClipType()
                      throws PropertyNotPresentException

      Throws:
        `PropertyNotPresentException`

    - #### setClipType

          void setClipType(String clipType)

    - #### getClipProject

          String getClipProject()
                         throws PropertyNotPresentException

      Throws:
        `PropertyNotPresentException`

    - #### setClipProject

          void setClipProject(String clipProject)

    - #### getClipModifiedMinutes

          @Int32
          int getClipModifiedMinutes()
                                     throws PropertyNotPresentException

      Throws:
        `PropertyNotPresentException`

    - #### setClipModifiedMinutes

          void setClipModifiedMinutes(@Int32
                                      Integer clipModifiedMinutes)

    - #### getClipModifiedMonths

          @Int32
          int getClipModifiedMonths()
                                    throws PropertyNotPresentException

      Throws:
        `PropertyNotPresentException`

    - #### setClipModifiedMonths

          void setClipModifiedMonths(@Int32
                                     Integer clipModifiedMonths)

    - #### getClipAudioTracks

          @Int32
          int getClipAudioTracks()
                                 throws PropertyNotPresentException

      Throws:
        `PropertyNotPresentException`

    - #### setClipAudioTracks

          void setClipAudioTracks(@Int32
                                  Integer clipAudioTracks)

    - #### getArchiveCompositionType

          @Int32
          int getArchiveCompositionType()
                                        throws PropertyNotPresentException

      Throws:
        `PropertyNotPresentException`

    - #### setArchiveCompositionType

          void setArchiveCompositionType(@Int32
                                         Integer archiveCompositionType)

    - #### getClipKeyRenderSequence

          Segment getClipKeyRenderSequence()
                                    throws PropertyNotPresentException

      Throws:
        `PropertyNotPresentException`

    - #### setClipKeyRenderSequence

          void setClipKeyRenderSequence(Segment clipKeyRenderSequence)

    - #### getClipEffects

          List<OperationGroup> getClipEffects()
                                       throws PropertyNotPresentException

      Throws:
        `PropertyNotPresentException`

    - #### appendClipEffect

          void appendClipEffect(OperationGroup clipEffect)
                         throws NullPointerException

      Throws:
        `NullPointerException`

    - #### getClipEffectAt

          OperationGroup getClipEffectAt(int index)
                                  throws IndexOutOfBoundsException

      Throws:
        `IndexOutOfBoundsException`

    - #### clearClipEffects

          void clearClipEffects()

    - #### countClipEffects

          int countClipEffects()

    - #### prependClipEffect

          void prependClipEffect(OperationGroup clipEffect)

    - #### removeClipEffectAt

          void removeClipEffectAt(int index)
                           throws IndexOutOfBoundsException

      Throws:
        `IndexOutOfBoundsException`

    - #### getClipModifiedHours

          @Int32
          int getClipModifiedHours()
                                   throws PropertyNotPresentException

      Throws:
        `PropertyNotPresentException`

    - #### setClipModifiedHours

          void setClipModifiedHours(@Int32
                                    Integer clipModifiedHours)

    - #### getClipDropframe

          @Int32
          int getClipDropframe()
                               throws PropertyNotPresentException

      Throws:
        `PropertyNotPresentException`

    - #### setClipDropframe

          void setClipDropframe(@Int32
                                Integer clipDropframe)

    - #### getClipDuration

          @Int32
          int getClipDuration()
                              throws PropertyNotPresentException

      Throws:
        `PropertyNotPresentException`

    - #### setClipDuration

          void setClipDuration(@Int32
                               Integer clipDuration)

    - #### getClipModifiedYears

          @Int32
          int getClipModifiedYears()
                                   throws PropertyNotPresentException

      Throws:
        `PropertyNotPresentException`

    - #### setClipModifiedYears

          void setClipModifiedYears(@Int32
                                    Integer clipModifiedYears)

    - #### getClipModifiedMilliseconds

          @Int32
          int getClipModifiedMilliseconds()
                                          throws PropertyNotPresentException

      Throws:
        `PropertyNotPresentException`

    - #### setClipModifiedMillseconds

          void setClipModifiedMillseconds(@Int32
                                          Integer clipModifiedMilliseconds)

    - #### getClipWidth

          @Int32
          int getClipWidth()
                           throws PropertyNotPresentException

      Throws:
        `PropertyNotPresentException`

    - #### setClipWidth

          void setClipWidth(@Int32
                            Integer clipWidth)

    - #### getClipVideoTracks

          @Int32
          int getClipVideoTracks()
                                 throws PropertyNotPresentException

      Throws:
        `PropertyNotPresentException`

    - #### setClipVideoTracks

          void setClipVideoTracks(@Int32
                                  Integer clipVideoTracks)

    - #### getClipBlob

          Stream getClipBlob()
                      throws PropertyNotPresentException

      Throws:
        `PropertyNotPresentException`

    - #### setClipBlob

          void setClipBlob(Stream clipBlob)

    - #### getClipColourGreen

          PropertyValue getClipColourGreen()
                                    throws PropertyNotPresentException

      Throws:
        `PropertyNotPresentException`

    - #### setClipColourGreen

          void setClipColourGreen(PropertyValue clipColourGreen)

    - #### getClipArchivedYears

          @Int32
          int getClipArchivedYears()
                                   throws PropertyNotPresentException

      Throws:
        `PropertyNotPresentException`

    - #### setClipArchivedYears

          void setClipArchivedYears(@Int32
                                    Integer clipArchiveYears)

    - #### getClipHeight

          @Int32
          int getClipHeight()
                            throws PropertyNotPresentException

      Throws:
        `PropertyNotPresentException`

    - #### setClipHeight

          void setClipHeight(@Int32
                             Integer clipHeight)

    - #### getClipInPoint

          @Int32
          int getClipInPoint()
                             throws PropertyNotPresentException

      Throws:
        `PropertyNotPresentException`

    - #### setClipInPoint

          void setClipInPoint(@Int32
                              Integer clipInPoint)

    - #### getClipArchivedHours

          @Int32
          int getClipArchivedHours()
                                   throws PropertyNotPresentException

      Throws:
        `PropertyNotPresentException`

    - #### setClipArchivedHours

          void setClipArchivedHours(@Int32
                                    Integer clipArchivedHours)

    - #### getClipArchivedMonths

          @Int32
          int getClipArchivedMonths()
                                    throws PropertyNotPresentException

      Throws:
        `PropertyNotPresentException`

    - #### setClipArchivedMonths

          void setClipArchivedMonths(@Int32
                                     Integer clipArchivedMonths)

    - #### getClipRenderSequence

          Segment getClipRenderSequence()
                                 throws PropertyNotPresentException

      Throws:
        `PropertyNotPresentException`

    - #### setClipRenderSequence

          void setClipRenderSequence(Segment clipRenderSequence)

    - #### getClipArchivedMinutes

          @Int32
          int getClipArchivedMinutes()
                                     throws PropertyNotPresentException

      Throws:
        `PropertyNotPresentException`

    - #### setClipArchivedMinutes

          void setClipArchivedMinutes(@Int32
                                      Integer clipArchivedMinutes)

    - #### getClipColourRed

          PropertyValue getClipColourRed()
                                  throws PropertyNotPresentException

      Throws:
        `PropertyNotPresentException`

    - #### setClipColourRed

          void setClipColourRed(PropertyValue clipColourRef)

    - #### getClipModifiedDays

          @Int32
          int getClipModifiedDays()
                                  throws PropertyNotPresentException

      Throws:
        `PropertyNotPresentException`

    - #### setClipModifiedDays

          void setClipModifiedDays(@Int32
                                   Integer clipModifiedDays)

    - #### getClipModifiedSeconds

          @Int32
          int getClipModifiedSeconds()
                                     throws PropertyNotPresentException

      Throws:
        `PropertyNotPresentException`

    - #### setClipModifiedSeconds

          void setClipModifiedSeconds(@Int32
                                      Integer clipModifiedSeconds)

    - #### getClipDestTC

          @Int32
          int getClipDestTC()
                            throws PropertyNotPresentException

      Throws:
        `PropertyNotPresentException`

    - #### setClipDestTC

          void setClipDestTC(@Int32
                             Integer clipDestTC)

    - #### getClipArchivedDays

          @Int32
          int getClipArchivedDays()
                                  throws PropertyNotPresentException

      Throws:
        `PropertyNotPresentException`

    - #### setClipArchivedDays

          void setClipArchivedDays(@Int32
                                   Integer clipArchivedDays)

    - #### clipColourBlue

          PropertyValue clipColourBlue()
                                throws PropertyNotPresentException

      Throws:
        `PropertyNotPresentException`

    - #### setClipColourBlue

          void setClipColourBlue(PropertyValue clipColourBlue)

    - #### getArchiveSetting

          @Int32
          int getArchiveSetting()
                                throws PropertyNotPresentException

      Throws:
        `PropertyNotPresentException`

    - #### setArchiveSetting

          void setArchiveSetting(@Int32
                                 Integer archiveSetting)

    - #### getClipArchivedSeconds

          @Int32
          int getClipArchivedSeconds()
                                     throws PropertyNotPresentException

      Throws:
        `PropertyNotPresentException`

    - #### setClipArchivedSeconds

          void setClipArchivedSeconds(@Int32
                                      Integer clipArchivedSeconds)

    - #### getClipOutPoint

          @Int32
          int getClipOutPoint()
                              throws PropertyNotPresentException

      Throws:
        `PropertyNotPresentException`

    - #### setClipOutPoint

          void setClipOutPoint(@Int32
                               Integer clipOutPoint)

    - #### getClipFlag1001

          @Int32
          int getClipFlag1001()
                              throws PropertyNotPresentException

      Throws:
        `PropertyNotPresentException`

    - #### setClipFlag1001

          void setClipFlag1001(@Int32
                               Integer clipFlag1001)

    - #### getClipArchivedMilliseconds

          @Int32
          int getClipArchivedMilliseconds()
                                          throws PropertyNotPresentException

      Throws:
        `PropertyNotPresentException`

    - #### setClipArchivedMilliseconds

          void setClipArchivedMilliseconds(@Int32
                                           Integer clipArchivedMilliseconds)

    - #### getArchiveComposition

          @Int32
          int getArchiveComposition()
                                    throws PropertyNotPresentException

      Throws:
        `PropertyNotPresentException`

    - #### setArchiveComposition

          void setArchiveComposition(@Int32
                                     Integer clipArchiveComposition)

    - #### getClipCategory

          String getClipCategory()
                          throws PropertyNotPresentException

      Throws:
        `PropertyNotPresentException`

    - #### setClipCategory

          void setClipCategory(String clipCategory)

    - #### getClipOwner

          String getClipOwner()
                       throws PropertyNotPresentException

      Throws:
        `PropertyNotPresentException`

    - #### setClipOwner

          void setClipOwner(String clipOwner)

(c)2007-2016 Richard Cartwright, all rights reserved. Licensed under Apache 2 license and subject to the AMWA IPR policy.